nvme_ns_mgmt_delete(2)

NAME
nvme_ns_mgmt_delete - Delete a non attached namespace

SYNOPSIS
int nvme_ns_mgmt_delete (int fd , __u32 nsid );

ARGUMENTS

fd  File descriptor of nvme device

nsid
    Namespace identifier to delete

DESCRIPTION
It is recommended that a namespace being deleted is not attached to any controller. Use the nvme_ns_detach_ctrls first if the namespace is still attached.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.